ListWorkflowExecutions
Returns a list of workflow runtime instance metadata objects for a specific image build version.
Request Syntax
POST /ListWorkflowExecutions HTTP/1.1
Content-type: application/json
{
"imageBuildVersionArn": "string",
"maxResults": number,
"nextToken": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- imageBuildVersionArn
-
List all workflow runtime instances for the specified image build version resource ARN.
Type: String
Pattern:
^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws(?:-[a-z-]+)?):image/[a-z0-9-_]+/[0-9]+\.[0-9]+\.[0-9]+/[0-9]+$Required: Yes
- maxResults
-
The maximum number of items to return in a single request.
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 25.
Required: No
- nextToken
-
A token to specify where to start paginating. Use the
nextTokenvalue from a previously truncated response.Type: String
Length Constraints: Minimum length of 1. Maximum length of 65535.
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"imageBuildVersionArn": "string",
"message": "string",
"nextToken": "string",
"requestId": "string",
"workflowExecutions": [
{
"endTime": "string",
"message": "string",
"parallelGroup": "string",
"retried": boolean,
"startTime": "string",
"status": "string",
"totalStepCount": number,
"totalStepsFailed": number,
"totalStepsSkipped": number,
"totalStepsSucceeded": number,
"type": "string",
"workflowBuildVersionArn": "string",
"workflowExecutionId": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- imageBuildVersionArn
-
The resource Amazon Resource Name (ARN) of the image build version for which you requested a list of workflow runtime details.
Type: String
Pattern:
^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws(?:-[a-z-]+)?):image/[a-z0-9-_]+/[0-9]+\.[0-9]+\.[0-9]+/[0-9]+$ - message
-
The failure reason for the image build version, if it's in a failed state. This comes from the image itself, not from an individual workflow, so it's available even when no workflow executions remain for the image.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 500.
- nextToken
-
The next token used for paginated responses. When this field isn't empty, there are additional elements that the service hasn't included in this request. Use this token with the next request to retrieve additional objects.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 65535.
- requestId
-
The request ID that uniquely identifies this request.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 1024.
- workflowExecutions
-
An array of runtime details that represents each time a workflow ran for the requested image build version. Image Builder retains workflow execution records for a limited time, so this array can be empty for older image build versions.
Type: Array of WorkflowExecutionMetadata objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- CallRateLimitExceededException
-
You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.
HTTP Status Code: 429
- ClientException
-
A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.
HTTP Status Code: 400
- ForbiddenException
-
You are not authorized to perform the requested operation.
HTTP Status Code: 403
- InvalidPaginationTokenException
-
You have provided an invalid pagination token in your request.
HTTP Status Code: 400
- InvalidRequestException
-
The request is malformed or otherwise invalid. Verify the request and try again.
HTTP Status Code: 400
- ServiceException
-
An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.
HTTP Status Code: 500
- ServiceUnavailableException
-
The service is unable to process your request at this time.
HTTP Status Code: 503
Examples
List the workflow runtime instances for an image build version
The following example lists the workflow runtime instances that ran for the specified image build version, which was built with the Image Builder default build and test workflows.
Sample Request
POST /ListWorkflowExecutions HTTP/1.1
Content-type: application/json
{
"imageBuildVersionArn": "arn:aws:imagebuilder:us-west-2:111122223333:image/my-example-recipe/1.0.0/1"
}
Sample Response
HTTP/1.1 200
Content-type: application/json
{
"requestId": "c78ef9a3-cce8-4e7d-ae96-426fb7e59f5d",
"workflowExecutions": [
{
"workflowBuildVersionArn": "arn:aws:imagebuilder:us-west-2:aws:workflow/build/build-image/1.0.3/1",
"workflowExecutionId": "wf-165b1cb6-3a62-4618-a021-94ddcbe32908",
"type": "BUILD",
"status": "COMPLETED",
"totalStepCount": 7,
"totalStepsSucceeded": 5,
"totalStepsFailed": 0,
"totalStepsSkipped": 2,
"startTime": "2026-09-09T19:12:23.175Z",
"endTime": "2026-09-09T19:19:06.158Z",
"retried": false
},
{
"workflowBuildVersionArn": "arn:aws:imagebuilder:us-west-2:aws:workflow/test/test-image/1.0.3/1",
"workflowExecutionId": "wf-1a3639b8-1366-4b73-8347-706874020dad",
"type": "TEST",
"status": "COMPLETED",
"totalStepCount": 4,
"totalStepsSucceeded": 2,
"totalStepsFailed": 0,
"totalStepsSkipped": 2,
"startTime": "2026-09-09T19:19:11.709Z",
"endTime": "2026-09-09T19:21:47.830Z",
"retried": false
}
],
"imageBuildVersionArn": "arn:aws:imagebuilder:us-west-2:111122223333:image/my-example-recipe/1.0.0/1"
}
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: